const expirationInput = document.getElementById("ccexp");

expirationInput.addEventListener("input", () => {
  const value = expirationInput.value.replace(/\D/g, "");

  if (value.length > 2) {
    const month = value.slice(0, 2);
    const year = value.slice(2);
    const currentDate = new Date();
    const currentYear = currentDate.getFullYear() % 100;
    if (
      parseInt(year) < currentYear ||
      parseInt(month) < 1 ||
      parseInt(month) > 12
    ) {
      expirationInput.setCustomValidity("Ongeldige datum");
      return false;
    } else {
      expirationInput.setCustomValidity("");
    }

    expirationInput.value = `${month}/${year}`;
  } else {
    expirationInput.value = value;
    expirationInput.setCustomValidity("");
  }
});

//SCRIPT OG
// const expirationInput = document.getElementById("ccexp");

// expirationInput.addEventListener("input", (event) => {
//   const value = event.target.value.replace(/\D/g, "");

//   if (value.length > 2) {
//     const month = value.slice(0, 2);
//     const year = value.slice(2);
//     event.target.value = `${month}/${year}`;
//   } else {
//     event.target.value = value;
//   }
// });
