//UPS INPUT & LABEL EFFECT
const inputs = document.querySelectorAll("input");

inputs.forEach((input) => {
  input.addEventListener("focus", (e) => {
    const label = e.target.closest(".form-group").querySelector("label");
    if (input.value == "" && input.dataset.placeholder) {
      input.placeholder = `${input.dataset.placeholder}`;
    }
    label.classList.add("typed-label");
  });

  input.addEventListener("blur", (e) => {
    const label = e.target.closest(".form-group").querySelector("label");
    if (!e.target.value) {
      label.classList.remove("typed-label");
      input.placeholder = "";
    }
  });
});

window.addEventListener("load", () => {
  inputs.forEach((input) => {
    if (input.dataset.placeholder) {
      input.placeholder = "";
    }
  });
});
